// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package resource

import (
	_ "context"
	_ "encoding/json"
	_ "fmt"
	"github.com/stretchr/testify/assert"
	_ "gopkg.in/yaml.v3"
	_ "io"
	_ "log"
	_ "net/http"
	_ "net/http/httptest"
	_ "net/url"
	_ "os"
	_ "path/filepath"
	_ "strings"
	"testing"
)

func TestNewHTTPResource(t *testing.T) {
	f := NewHTTP()
	assert.NotNil(t, f)
}
